Runtime

## org.eclipse.gmf.runtime.emf.type.ui
Class ElementTypeImageDescriptor

    java.lang.Object
      org.eclipse.jface.resource.DeviceResourceDescriptor
          org.eclipse.jface.resource.ImageDescriptor
              org.eclipse.gmf.runtime.emf.type.ui.ElementTypeImageDescriptor

public class ElementTypeImageDescriptor
extends ImageDescriptor

Image descriptor for an `IElementType` that gets its image data from the icon service.

Field Summary

Fields inherited from class org.eclipse.jface.resource.ImageDescriptor
`DEFAULT_IMAGE_DATA`

Constructor Summary
`ElementTypeImageDescriptor(IElementType elementType)` Constructs a new image descriptor for `elementType`.

Method Summary
`ImageData` `getImageData()`

Methods inherited from class org.eclipse.jface.resource.ImageDescriptor
`createFromFile, createFromImage, createFromImage, createFromImageData, createFromURL, createImage, createImage, createImage, createImage, createResource, createWithFlags, destroyResource, getMissingImageDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementTypeImageDescriptor

    public ElementTypeImageDescriptor(IElementType elementType)

  Constructs a new image descriptor for `elementType`.

Parameters:
  `elementType` - the element type

Method Detail

### getImageData

    public ImageData getImageData()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.